# Frequently Asked Questions

## I'm new to Sycamore. Where should I start?

If you like getting your hands dirty, try playing around with some
[examples](https://github.com/sycamore-rs/sycamore/tree/master/examples).

If you prefer reading documentation, consider working your way through the
[Sycamore Book](../getting_started/installation).

Don't hesitate to stop by our friendly [Discord server](https://discord.gg/vDwFUmm6mU) for quick
questions and to chat with the community.

## I'm new to Rust. Where should I start?

If you are new to Rust, the [Rust Book](https://doc.rust-lang.org/book/) would be a good starting
point. Sycamore uses quite a few Rust features such as closures and smart pointers so be sure to get
familiar with these topics.

## Why is Sycamore built with Rust?

Rust is a modern, safe, and fast language. Rust's strong type-system and ownership model prevent all
categories of bugs from memory bugs to logic bugs. The compiler will catch most of your bugs before
your app even runs! It is therefore not surprising that Rust has been voted the most loved
programming language in Stack Overflow's Developer Survey for six years in a row:
[2016](https://insights.stackoverflow.com/survey/2016#technology-most-loved-dreaded-and-wanted),
[2017](https://insights.stackoverflow.com/survey/2017#most-loved-dreaded-and-wanted),
[2018](https://insights.stackoverflow.com/survey/2018#technology-_-most-loved-dreaded-and-wanted-languages),
[2019](https://insights.stackoverflow.com/survey/2019#technology-_-most-loved-dreaded-and-wanted-languages),
[2020](https://insights.stackoverflow.com/survey/2020#most-loved-dreaded-and-wanted), and
[2021](https://insights.stackoverflow.com/survey/2021/#technology-most-loved-dreaded-and-wanted).

## Is there a router?

Yes. Sycamore has an official router that can be used to create SPAs with optional support for SSR.
Learn more about the router in the [here](../advanced/routing).

## How do I get started with Server-Side Rendering (SSR)?

Check out the page on [SSR](../advanced/ssr) in the Sycamore Book.

## Is there a full-stack framework (like Next.js) for Sycamore?

Check out [Perseus](https://github.com/arctic-hen7/perseus), a full-stack framework for Sycamore
developed by community member [`arctic-hen7`](https://github.com/arctic-hen7). Perseus is
full-featured, supporting Server-Side Rendering (SSR), Static Site Generation (SSG), i18n and more.
